Bug 91328 - cpp internal error during compile of aspell-0.50.3
Summary: cpp internal error during compile of aspell-0.50.3
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cpp   
(Show other bugs)
Version: 7.1
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: ftp://ftp.gnu.org/gnu/aspell
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-21 14:40 UTC by Need Real Name
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 22:44:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-05-21 14:40:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030210

Description of problem:
I'm on Redhat 7.1 on an iSeries, trying to compile aspell-0.50.3 source.

./configure gives no errors.

make bails out on cpp, telling me to do a bug report!

[root@linux400 aspell-0.50.3]# make
Making all in auto
make[1]: Entering directory `/root/aspell-0.50.3/auto'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/root/aspell-0.50.3/auto'
Making all in common
make[1]: Entering directory `/root/aspell-0.50.3/common'
make  all-am
make[2]: Entering directory `/root/aspell-0.50.3/common'
if /bin/sh ../libtool --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I.     -g -O2
-MT posib_err.lo -MD -MP -MF ".deps/posib_err.Tpo" \
  -c -o posib_err.lo `test -f 'posib_err.cpp' || echo './'`posib_err.cpp; \
then mv ".deps/posib_err.Tpo" ".deps/posib_err.Plo"; \
else rm -f ".deps/posib_err.Tpo"; exit 1; \
fi
 g++ -DHAVE_CONFIG_H -I. -I. -I. -g -O2 -MT posib_err.lo -MD -MP -MF
.deps/posib_err.Tpo -c posib_err.cpp  -fPIC -DPIC
posib_err.cpp: In method `acommon::PosibErrBase
&acommon::PosibErrBase::set (const acommon::ErrorInfo *,
acommon::ParmString, acommon::ParmString, acommon::ParmString,
acommon::ParmString)':
posib_err.cpp:71: Internal compiler error in verify_local_live_at_start
, at flow.c:2722
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [posib_err.lo] Error 1
make[2]: Leaving directory `/root/aspell-0.50.3/common'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/root/aspell-0.50.3/common'
make: *** [all-recursive] Error 1


Version-Release number of selected component (if applicable):
cpp-2.96-75

How reproducible:
Always

Steps to Reproduce:
1. Download aspell-0.50.3
2. untar
3../configure
4. make
    

Actual Results:  See output listing in description field

Expected Results:  make should have made me an aspell binary!

Additional info:

Comment 1 Vladimir Makarov 2004-10-04 22:44:58 UTC
Sorry, gcc-2.96 is too old.  Its release cycle was finished long ago.
 Therfore I am closing the case.  If it is still important, the
customer could reopen it.



Note You need to log in before you can comment on or make changes to this bug.